Subject: [PATCH v4 4/8] arm: OMAP: Move dmtimer driver out of plat-omap to drivers under clocksource

From: [email-masked] (Ladislav Michl)
Date: Fri, 8 Dec 2017 20:19:59 +0100

On Fri, Dec 08, 2017 at 06:50:32PM +0100, Daniel Lezcano wrote:
> On 08/12/2017 18:20, Ladislav Michl wrote:
> > Daniel,
> > 
> > On Thu, Dec 07, 2017 at 11:54:27AM +0100, Daniel Lezcano wrote:
> >> On 01/12/2017 06:16, Keerthy wrote:
> >>> Move the dmtimer driver out of plat-omap to clocksource.
> >>> So that non-omap devices also could use this.
> >>>
> >>> No Code changes done to the driver file.
> >>>
> >>> Signed-off-by: Keerthy <[email-masked]>
> >>> Reviewed-by: Sebastian Reichel <[email-masked]>
> >>> ---
> >>>
> >>> Changes in v3:
> >>>
> >>>   * Added Sebastian's Reviewed-by.
> >>>
> >>> Changes in v2:
> >>>
> >>>   * No code changes in this v2 version. Only enhanced patch
> >>>     statistics for renames.
> >>>
> >>>  arch/arm/plat-omap/Kconfig                            | 6 ------
> >>>  arch/arm/plat-omap/Makefile                           | 1 -
> >>>  drivers/clocksource/Kconfig                           | 6 ++++++
> >>>  drivers/clocksource/Makefile                          | 1 +
> >>>  {arch/arm/plat-omap => drivers/clocksource}/dmtimer.c | 0
> >>>  5 files changed, 7 insertions(+), 7 deletions(-)
> >>>  rename {arch/arm/plat-omap => drivers/clocksource}/dmtimer.c (100%)
> >>
> >> Take the opportunity to rename it timer-dm.c
> > 
> > seems the drivers/clocksource subdirectory contains what its name state.
> 
> Yes, clocksource, clockevent.
> 
> > However OMAP dual mode timers have also event capture capability, which
> > I'd like to use to measure pulse/space width and pass measured values
> > to IR protocol decoders.
> > Do you have any idea how to split code, so that event capture capability
> > could be used by other drivers?
> Not 100% sure but could be drivers/pwm, using the capture API.

I hoped for another answer as pwm_capture is blocking operation while
something event (interrupt) driven would be more usefull.

But that's for different debate, so I'll prepare quick and dirty patch
to start with.

Thank you,
	ladis